<?php get_header(); ?>

    <div id="content">

    <?php $home = is_home() || is_front_page(); ?>

    <?php if ($home) : ?>
	
      <div id="news" class="section"> <!-- news -->
        <h2 class="section-heading"><?php echo get_option('mortgage_section_news_heading'); ?></h2>
    <?php elseif (is_category()) : ?>
        <h2 class="section-heading">Category: <?php $cat_ID = get_option('mortgage_section_cat_id'); echo get_cat_name($cat_ID); ?></h2>
    <?php elseif (is_archive()) : ?>
        <h2 class="section-heading">Archives: <?php the_time('F, Y'); ?></h2>
    <?php elseif (is_page()) : ?>
        <h2 class="section-heading">Page Article</h2>
    <?php elseif (is_search()) : ?>
        <h2 class="section-heading">You are searching for: <?php the_search_query(); ?></h2>
    <?php else : ?>
        <h2 class="section-heading">Blog Articles</h2>
    <?php endif; ?>

      <?php if (have_posts()) : ?>
        <?php while (have_posts()) : the_post(); ?>
        <div <?php post_class() ?> id="post-<?php the_ID(); ?>"> <!-- post -->
          <h2 class="post-title"><a href="<?php the_permalink(); ?>"><?php if(!the_title('', '', false)) the_permalink(); else the_title(); ?></a></h2>
          <div class="entry">
            <?php the_excerpt(); ?>
            <?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
          </div>
          <div class="postmetadata">
            <?php the_tags('Tags: ', ' ', '<span class="separator">|</span>'); ?><?php _e('Posted in: '); ?><?php the_category(' '); ?><span class="separator">|</span><span class="author"><?php the_author_posts_link(); ?></span><span class="separator">|</span><?php comments_popup_link('Comments ( <strong>0</strong> )', 'Comment ( <strong>1</strong> )', 'Comments ( <strong>%</strong> )'); ?><?php edit_post_link('Edit', '<span class="separator">|</span>', ''); ?>
          </div>
          <?php if (is_singular()) : ?>
          <div class="comments-template">
            <?php comments_template(); ?>
          </div>
          <?php endif; ?>
        </div> <!-- post end -->
        <?php endwhile; ?>

        <?php if (!is_singular()) : ?>
        <div class="post-navigation">
          <div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
          <div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
        </div>
        <?php endif; ?>

      <?php else : ?>
        <h2 class="not-found"><?php _e('Sorry, no posts matched your criteria.'); ?></h2>
      <?php endif; ?>

    <?php if ($home) : ?>  
      </div> <!-- news end -->
    <?php endif; ?>

      <?php if ($home) : $cat_ID = get_option('mortgage_section_cat_id'); query_posts('cat=' . $cat_ID); ?>
      <div id="specified_category" class="section">
        <h2 class="section-heading"><?php echo get_cat_name($cat_ID); ?></h2>
      <?php if (have_posts()) : ?>
        <?php while (have_posts()) : the_post(); ?>
        <div <?php post_class() ?> id="post-<?php the_ID(); ?>"> <!-- post -->
          <h2 class="post-title">
            <a href="<?php the_permalink(); ?>">
              <?php if (!the_title('', '', false)) : ?>
                <?php the_permalink(); ?>
              <?php else : ?>
                <?php the_title(); ?>
              <?php endif; ?>
            </a>
          </h2>
          <div class="entry">
            <?php the_excerpt(); ?>
            <?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
          </div>
          <div class="postmetadata">
            <?php the_tags('Tags: ', ', ', '<span class="separator">|</span>'); ?><?php _e('Posted in: '); ?><?php the_category(', '); ?><span class="separator">|</span><span class="author"><?php the_author(); ?></span><span class="separator">|</span><?php comments_popup_link('Comments ( <strong>0</strong> )', 'Comment ( <strong>1</strong> )', 'Comments ( <strong>%</strong> )'); ?><?php edit_post_link('Edit', '<span class="separator">|</span>', ''); ?>
          </div>
        </div> <!-- post end -->
        <?php endwhile; ?>
        
        <div class="post-navigation">
          <div class="alignright">Read More Articles in <a href="<?php echo get_category_link($cat_ID); ?>" title="<?php echo get_cat_name($cat_ID); ?>"><?php echo get_cat_name($cat_ID); ?></a></div>
        </div>

      <?php else : ?>
        <h2 class="not-found"><?php _e('Sorry, no posts matched your criteria.'); ?></h2>
      <?php endif; ?>
        
      </div>
      <?php endif; ?>

    </div> <!-- content end -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>